#use appimage

Name:           exeqt
Version:        1.2.2
Release:        %mkrel 1
Summary:        Launch apps from system tray
Group:          Graphical desktop/Other
License:        GPLv3+
URL:            https://github.com/AlexandruIstrate/ExeQt
Source1:        %{name}.desktop
Source2:        %{name}.png
#-----------------------------------------------------------------

%description
A nifty little utility for pinning commands, applications or links
to the system tray. ExeQt goes even further and provides network
facilities so that your custom actions can be transfered, accesed
and used from computers around the world or computers around your
house.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/AlexandruIstrate/ExeQt/releases/download/v1.2.2/ExeQt-v1-2-2-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/ExeQt-v1-2-2-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat May 15 2021 tex - 1.2.2-1pclos2021
- create pkg from appimage
